/*
 * This file was generated by the Gradle 'init' task.
 *
 * This is a general purpose Gradle build.
 * Learn how to create Gradle builds at https://guides.gradle.org/creating-new-gradle-builds
 */

repositories {
  mavenCentral()
  maven {
    url 'https://api.mapbox.com/downloads/v2/releases/maven'
    authentication {
      basic(BasicAuthentication)
    }
    credentials {
      // Do not change the username below.
      // This should always be `mapbox` (not your username). 
      username = "mapbox"
      // Use the secret token you stored in gradle.properties as the password
      password = project.properties['MAPBOX_DOWNLOADS_TOKEN'] ?: ""
    }
  }
}

apply plugin: 'java-library'

dependencies {
  implementation "com.mapbox.search:mapbox-search-android:1.0.0-beta.16"
  implementation "dependabot.testing:library:1.1"
  testImplementation 'io.qameta.allure:allure-java-commons:2.17.3'
}
